about summary refs log tree commit diff stats
path: root/modules/by-name/se/secrets/update_secrets.sh
diff options
context:
space:
mode:
authorBenedikt Peetz <benedikt.peetz@b-peetz.de>2024-10-18 21:56:16 +0200
committerBenedikt Peetz <benedikt.peetz@b-peetz.de>2024-10-18 21:59:59 +0200
commit746ea42ff4616024ec41b6dcb1d2588dee4b85d1 (patch)
tree4d4a1a774f6499161f7bd3077f1f21c31f93da35 /modules/by-name/se/secrets/update_secrets.sh
parentrefactor(modules/legacy/conf/zsh): Parameterize and move to new `by-name` (diff)
downloadnixos-config-746ea42ff4616024ec41b6dcb1d2588dee4b85d1.tar.gz
nixos-config-746ea42ff4616024ec41b6dcb1d2588dee4b85d1.zip
refactor(modules/legacy/conf/lf): Move to new `by-name` dir
This makes it possible to mix and match between `NixOS` and
`home-manager` options and thus allows merging the secret handling
directly into this module. Furthermore, the `systemd` tempfiles handling
was also merged into this module.
Diffstat (limited to 'modules/by-name/se/secrets/update_secrets.sh')
-rwxr-xr-xmodules/by-name/se/secrets/update_secrets.sh37
1 files changed, 0 insertions, 37 deletions
diff --git a/modules/by-name/se/secrets/update_secrets.sh b/modules/by-name/se/secrets/update_secrets.sh
deleted file mode 100755
index f1c27d77..00000000
--- a/modules/by-name/se/secrets/update_secrets.sh
+++ /dev/null
@@ -1,37 +0,0 @@
-#!/usr/bin/env nix
-#! nix shell nixpkgs#age nixpkgs#jq nixpkgs#dash --command dash
-# shellcheck shell=dash
-
-cleanup() {
-    [ "$key_file" ] && rm "$key_file"
-}
-trap cleanup EXIT
-
-update_lf_cd_paths() {
-    echo "Starting to update the lf/cd_paths.age file.."
-
-    cd "$(git rev-parse --show-toplevel)/modules/system/secrets" || {
-        echo "A secrets dir does not exist! (This is most likely a bug)"
-        exit 1
-    }
-
-    key_file="$(mktemp)"
-
-    nix eval -f ./secrets.nix --json | jq --raw-output '.["lf/cd_paths.age"].publicKeys | join("\n")' >"$key_file"
-
-    # `lf-make-map` is provided by the dev shell
-    {
-        lf-make-map --quiet --depth 4 visualize ~/media ~/repos ~/school | sed 's|\(.*\)|# \1|'
-        lf-make-map --quiet --depth 4 generate ~/media ~/repos ~/school
-    } | age --recipients-file "$key_file" --encrypt --armor --output ./lf/cd_paths.age
-
-    echo "Finished updating the lf/cd_paths.age file.."
-}
-
-main() {
-    update_lf_cd_paths
-}
-
-main
-
-# vim: ft=sh